Subject: Re: [PATCH 3/3] completion: add dirstat and friends to diff options

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 7 Oct 2009 21:32:42 -0700

Junio C Hamano <[email-masked]> wrote:
> SZEDER G??bor <[email-masked]> writes:
> 
> > On Wed, Oct 07, 2009 at 01:48:51AM -0700, Stephen Boyd wrote:
> >> +                     --dirstat --dirstat= --dirstat-by-file
> >> +                     --dirstat-by-file= --cumulative
> >
> > I'm a bit puzzled by having both --dirstat and --dirstat=, and
> > --dirstat-by-file and --dirstat-by-file=.  How do we complete similar
> > long options, where an argument and hence the = char is optional?
> 
> A similar example in "git init" completion (--shared vs --shared=) already
> exists, no?

I'm not sure why this is.  It may just be historical accident,
completing --shared vs. --shared= is ambiguous so you would need
to type out the = anyway before trying to complete a value.

IIRC --shared= came about after --shared and its possible we just
added the new option and didn't notice the duplicate.

-- 
Shawn.